<?php 
require_once(__DIR__ . "/../../classes/Sistema.php");
set_sistema(Sistema::INDICACOES);
$sistema = new Sistema();
$sistema->sessao->renovar_sessao(); // Renovamos a sessão por segurança

if($sistema->sessao->logado()) $sistema->redirecionar("../home"); // Caso o cliente já esteja logado, enviamos ele para a home

$cpf = preg_replace('#[^0-9]#','',strip_tags($_POST['usuario']));
try{
	$resultado = $sistema->indicacoes->recuperar_senha($cpf);

	if($resultado != -1){
		$_SESSION['errologin'] = $resultado;
		$sistema->redirecionar('../');
	}
	else{
		$_SESSION['loginsucesso'] = 1;
		$sistema->redirecionar('../');
	}
}
catch(Exception $e){
	$_SESSION['errologin'] = 8;
	$sistema->redirecionar('../');
}
?>